Add support for Compaq Atalla crypto accelerator.
[openssl.git] / config
diff --git a/config b/config
index 50d9740..578d08b 100755 (executable)
--- a/config
+++ b/config
@@ -458,6 +458,12 @@ case "$GUESSOS" in
   *) OUT=`echo $GUESSOS | awk -F- '{print $3}'`;;
 esac
 
+# See whether we can compile Atalla support
+if [ -f /usr/include/atasi.h ]
+then
+  options="$options -DATALLA"
+fi
+
 # gcc < 2.8 does not support -mcpu=ultrasparc
 if [ "$OUT" = solaris-sparcv9-gcc -a $GCCVER -lt 28 ]
 then